Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Container Registry
  • Getting started
  • Yandex Container Solution
  • Access management
  • Pricing policy
  • Terraform reference
    • Authentication with the API
      • Overview
        • Overview
        • Get
        • GetByRegistry
        • Create
        • Update
        • Delete
  • Monitoring metrics
  • Audit Trails events
  • Troubleshooting
  • FAQ

In this article:

  • HTTP request
  • Path parameters
  • Response
  • ScanRules
  • PushRule
  • ScheduledRule
  1. API reference
  2. REST
  3. ScanPolicy
  4. Get

Container Registry API, REST: ScanPolicy.Get

Written by
Yandex Cloud
Updated at June 3, 2026
View in Markdown
  • HTTP request
  • Path parameters
  • Response
  • ScanRules
  • PushRule
  • ScheduledRule

Returns the specified scan policy.

HTTP requestHTTP request

GET https://container-registry.api.cloud.yandex.net/container-registry/v1/scanPolicies/{scanPolicyId}

Path parametersPath parameters

Field

Description

scanPolicyId

string

Required field. ID of the scan policy.

The maximum string length in characters is 50.

ResponseResponse

HTTP Code: 200 - OK

{
  "id": "string",
  "registryId": "string",
  "name": "string",
  "description": "string",
  "rules": {
    "pushRule": {
      "repositoryPrefixes": [
        "string"
      ],
      "disabled": "boolean"
    },
    "scheduleRules": [
      {
        "repositoryPrefixes": [
          "string"
        ],
        "rescanPeriod": "string",
        "disabled": "boolean"
      }
    ]
  },
  "createdAt": "string",
  "disabled": "boolean"
}

Field

Description

id

string

Output only. ID of the scan policy.

registryId

string

ID of the registry that the scan policy belongs to.
Required. The maximum string length in characters is 50.

name

string

Name of the scan policy.

description

string

Description of the scan policy.
The maximum string length in characters is 256.

rules

ScanRules

The rules of scan policy.

createdAt

string (date-time)

Output only. Creation timestamp.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

disabled

boolean

Turns off scan policy.

ScanRulesScanRules

Field

Description

pushRule

PushRule

Description of on-push scan rule.

scheduleRules[]

ScheduledRule

Description of time based rescan rule.

PushRulePushRule

Field

Description

repositoryPrefixes[]

string

List of repositories that are scanned with rule. Child repositories are included into parent node. "*" - means all repositories in registry

Each value must match the regular expression \*|[a-z0-9]+(?:[._-][a-z0-9]+)*(/([a-z0-9]+(?:[._-][a-z0-9]+)*))*. The number of elements must be greater than 0.

disabled

boolean

Turns off scan rule.

ScheduledRuleScheduledRule

Field

Description

repositoryPrefixes[]

string

List of repositories that are scanned with rule. Child repositories are included into parent node. "*" - means all repositories in registry

Each value must match the regular expression \*|[a-z0-9]+(?:[._-][a-z0-9]+)*(/([a-z0-9]+(?:[._-][a-z0-9]+)*))*. The number of elements must be greater than 0.

rescanPeriod

string (duration)

Required field. Period of time since last scan to trigger automatic rescan.

disabled

boolean

Turns off scan rule.

Was the article helpful?

Previous
Overview
Next
GetByRegistry
© 2026 Direct Cursus Technology L.L.C.